Delete report based on query parameters
delete
/ec-reporting-svc/rest/v1.0/reports
Removes an existing report based on the given input, using the Query parameter.
Right: ReportingDelete.
Right: ReportingDelete.
Request
Query Parameters
-
mode: string
Mode of the study. Accepts test, active, or training.Example:
test -
studyId: string(uuid)
ID of the study for which you want to delete the generated report. Tenant reports, such as HSL report, can be deleted by making study ID as null.Example:
D5E16DD550CB4AD1B330E0D09B4B8F3F
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
204 Response
Success.
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples
400 Response
'Invalid parameters': 'Insufficient parameters'
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples
401 Response
User not authorized: to download the report.
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples
404 Response
Not found:
Root Schema : BaseResponse
Type:
objectBase response object for all reporting service endpoints, providing a standard structure for status, result, and errorData.
Show Source
-
ErrorResponseData: object
ErrorResponseData
-
result: object
result
Generic result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
-
status: string
Response status for the request; typically 'success' or 'error'.Example:
success
Nested Schema : result
Type:
objectGeneric result for all request entity types. The type returned depends on endpoint. May be ExecutionLog, list, or error data.
Nested Schema : details
Type:
objectExamples